net.minecraft.entity.monster

## Class EntityMagmaCube

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLiving
    - - net.minecraft.entity.monster.EntitySlime
      - - net.minecraft.entity.monster.EntityMagmaCube

- All Implemented Interfaces:
    IMob, IAnimals

      public class EntityMagmaCube
      extends EntitySlime

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.monster.EntitySlime

      `field_70811_b, field_70812_c, field_70813_a`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_94063_bt, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, limbSwing, limbYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLimbYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

    - ### Fields inherited from interface net.minecraft.entity.monster.IMob

      `mobSelector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityMagmaCube(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBrightness(float par1)` Gets how bright this entity is.
    `int` | `getBrightnessForRender(float par1)`
    `boolean` | `getCanSpawnHere()` Checks if the entity's current position is a valid location to spawn this entity.
    `int` | `getTotalArmorValue()` Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
    `boolean` | `handleLavaMovement()` Whether or not the current entity is in lava
    `boolean` | `isBurning()` Returns true if the entity is on fire.

    - ### Methods inherited from class net.minecraft.entity.monster.EntitySlime

      `getMaxHealth, getSlimeSize, getVerticalFaceSpeed, onCollideWithPlayer, onUpdate, readEntityFromNBT, setDead, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addPotionEffect, attackEntityAsMob, attackEntityFrom, canAttackClass, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, canPickUpLoot, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_104002_bU, func_82143_as, func_94056_bM, func_94057_bL, func_94058_c, func_94059_bO, func_94060_bK, func_94061_f, func_94062_bN, func_96120_a, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArmorPosition, getArrowCountInEntity, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntityName, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getRotationYawHead, getSpeedModifier, getSwingProgress, getTalkInterval, getTexture, handleHealthUpdate, hasHome, heal, initCreature, isBlocking, isChild, isEntityAlive, isEntityUndead, isOnLadder, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, onLivingUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setEntityHealth, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addNotRiddenEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82149_j, func_85029_a, func_85031_j, func_96091_a, func_96092_aw, func_98034_c, getAir, getBoundingBox, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTeleportDirection, getTranslatedEntityName, getYOffset, handleWaterMovement, hashCode, interact, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onKillEntity, onStruckByLightning, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityMagmaCube

          public EntityMagmaCube(World par1World)

  - ### Method Detail

    - #### getCanSpawnHere

          public boolean getCanSpawnHere()

      Checks if the entity's current position is a valid location to spawn this entity.
      Overrides:
        `getCanSpawnHere` in class `EntitySlime`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
      Overrides:
        `getTotalArmorValue` in class `EntityLiving`

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

      Overrides:
        `getBrightnessForRender` in class `Entity`

    - #### getBrightness

          public float getBrightness(float par1)

      Gets how bright this entity is.
      Overrides:
        `getBrightness` in class `Entity`

    - #### isBurning

          public boolean isBurning()

      Returns true if the entity is on fire. Used by render to add the fire effect on rendering.
      Overrides:
        `isBurning` in class `Entity`

    - #### handleLavaMovement

          public boolean handleLavaMovement()

      Whether or not the current entity is in lava
      Overrides:
        `handleLavaMovement` in class `Entity`